package com.ruoyi.web.calculate.domain;

import java.math.BigDecimal;
import java.math.RoundingMode;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.format.annotation.NumberFormat;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

public class CmcGaussBandChange extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 待求点号 */
    @Excel(name = "待求点")
    private String pointNumber;

    /** 坐标系 */
    @Excel(name = "坐标系")
    private String coordinateSystem;

    /** 高斯坐标x */
    @Excel(name = "高斯坐标x", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double gaussX;

    /** 高斯坐标y */
    @Excel(name = "高斯坐标y", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double gaussY;

    /** 带号 */
    @Excel(name = "带号", cellType = ColumnType.NUMERIC)
    private double band;

    /** 带宽 */
    @Excel(name = "带宽", cellType = ColumnType.NUMERIC)
    private Integer bandwidth;

    /** 新带号 */
    @Excel(name = "新带号", cellType = ColumnType.NUMERIC)
    private double newBand;

    /** 新带宽 */
    @Excel(name = "新带宽", cellType = ColumnType.NUMERIC)
    private Integer newBandwidth;

    /** 经度位置 */
    @Excel(name = "经度位置")
    private String longitudePosition;

    /** 纬度位置 */
    @Excel(name = "纬度位置")
    private String latitudePosition;

    /** 高斯坐标x */
    @Excel(name = "新高斯坐标x", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double newGaussX;

    /** 高斯坐标y */
    @Excel(name = "新高斯坐标y", cellType = ColumnType.NUMERIC, numberFormat = "0.0000")
    private Double newGaussY;

    /** 带宽 */
    @Excel(name = "投影面高程", cellType = ColumnType.NUMERIC)
    private double projectionHeight;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPointNumber(String pointNumber) {
        this.pointNumber = pointNumber;
    }

    public String getPointNumber() {
        return pointNumber;
    }

    public void setCoordinateSystem(String coordinateSystem) {
        this.coordinateSystem = coordinateSystem;
    }

    public String getCoordinateSystem() {
        return coordinateSystem;
    }

    public void setLongitudePosition(String longitudePosition) {
        this.longitudePosition = longitudePosition;
    }

    public String getLongitudePosition() {
        return longitudePosition;
    }

    public void setLatitudePosition(String latitudePosition) {
        this.latitudePosition = latitudePosition;
    }

    public String getLatitudePosition() {
        return latitudePosition;
    }

    public void setBand(double band) {
        this.band = band;
    }

    public double getBand() {
        return band;
    }
    
    public void setNewBand(double newBand) {
        this.newBand = newBand;
    }

    public double getNewBand() {
        return newBand;
    }

    public void setNewBandwidth(Integer newBandwidth) {
        this.newBandwidth = newBandwidth;
    }

    public Integer getNewBandwidth() {
        return newBandwidth;
    }

    public Integer getBandwidth() {
        return bandwidth;
    }

    public void setBandwidth(Integer bandwidth) {
        this.bandwidth = bandwidth;
    }
    public void setProjectionHeight(double projectionHeight) {
        this.projectionHeight = projectionHeight;
    }

    public double getProjectionHeight() {
        return projectionHeight;
    }

    public void setGaussX(Double gaussX) {
        this.gaussX = gaussX;
    }

    public Double getGaussX() {
        return gaussX;
    }

    public void setGaussY(Double gaussY) {
        this.gaussY = gaussY;
    }

    public Double getGaussY() {
        return gaussY;
    }

    public void setNewGaussX(Double newGaussX) {
        this.newGaussX = newGaussX;
    }

    public Double getNewGaussX() {
        return newGaussX;
    }

    public void setNewGaussY(Double newGaussY) {
        this.newGaussY = newGaussY;
    }

    public Double getNewGaussY() {
        return newGaussY;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pointNumber", getPointNumber())
                .append("coordinateSystem", getCoordinateSystem())
                .append("longitudePosition", getLongitudePosition())
                .append("latitudePosition", getLatitudePosition())
                .append("band", getBand())
                .append("bandwidth", getBandwidth())
                .append("gaussX", getGaussX())
                .append("gaussY", getGaussY())
                .append("newBand", getNewBand())
                .append("newBandwidth", getNewBandwidth())
                .append("projectionHeight", getProjectionHeight())
                .append("newGaussX", getNewGaussX())
                .append("newGaussY", getNewGaussY())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .toString();
    }
}

